Bug 55742 - spinlock code stuck
spinlock code stuck
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-05 17:11 EST by Isaiah Weiner
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 16:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Isaiah Weiner 2001-11-05 17:11:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Using kernel-2.4.2-2 and the Cisco-modified 2.4.2-7 (ALSA stuff added, can 
get a list) an 'rpm -ba' of the kernel over NFS (options are 
rw,v3,rsize=32768,wsize=32768,hard,udp,lock) makes the machine 
unresponsive to network traffic (ping included).  SysRq data tracked it 
down to being a BKL spinlock issue.  arjan, do you remember this IRC 
conversation?  You told me to test the 2.4.2-2 stock and the 2.4.9-6 
errata.  The errata doesn't break, but the stock does.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. over nfs with the options i used, mounting from a netapp f700 filer
2. rpm -ba the kernel
3. at the console, use sysrq to get eip

Additional info:
Comment 1 Arjan van de Ven 2001-11-06 04:29:57 EST
Either way, "fixed in errata" sounds like good advice....
Comment 2 Arjan van de Ven 2001-11-06 06:27:19 EST
Also, which network driver is this ?
Comment 3 Isaiah Weiner 2001-11-06 13:04:03 EST
ALSA, and eepro100.  "Fixed in errata" is unfortunately not where we (Red Hat) 
drop it.  Again, because of Rational's lack of support beyond 2.4.2 currently, 
Cisco cannot migrate to the errata.  This is a good opportunity for them to use 
developer hours, too.  I'd like to facilitate the creation of a patch for them 
to go on 2.4.2.  I can provide the kernel SRPM they're currently using and 
collaborate to gather any further diagnostic data.

I will escalate it through the proper channels if you like.

Note You need to log in before you can comment on or make changes to this bug.